GCLOUD_CONFIG_SET(1)

NAME

gcloud config set - edit Google Cloud SDK properties

SYNOPSIS

gcloud config set SECTION/PROPERTY VALUE [--installation] [GLOBAL-FLAG ...]

DESCRIPTION
Set the value for an option, so that Cloud SDK tools can use them as configuration.

POSITIONAL ARGUMENTS
SECTION/PROPERTY
    The property to be set. Note that SECTION/ is optional while referring to properties in the core section.
VALUE
    The value to be set.

FLAGS
--installation
    Typically properties are updated only in the currently active configuration, but when --installation is given the property is updated for the entire gcloud installation.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

EXAMPLES
To set the project property in the core section, run:
    $ gcloud config set project myProject
To set the zone property in the compute section, run:
    $ gcloud config set compute/zone zone3

AVAILABLE PROPERTIES
core
    account
        The account gcloud should use for authentication. You can run gcloud auth list to see the accounts you currently have available.
    disable_color
        If True, color will not be used when printing messages in the terminal.
    disable_prompts
        If True, the default answer will be assumed for all user prompts. For any prompts that require user input, an error will be raised. This is the equivalent of using the global --quiet flag.
    disable_usage_reporting
        If True, anonymous statistics on SDK usage will not be collected. This is value is set based on your choices during installation, but can be changed at any time. For more information, see: https://cloud.google.com/sdk/usage-statistics
    log_http
        If True, log http requests and responses to the logs. You may need to adjust your verbosity setting if you want to see in the terminal, otherwise it is available in the log files.
    project
        The project id of the Cloud Platform project to operate on by default. This can be overridden by using the global --project flag.
    user_output_enabled
        If False, messages to the user and command output on both standard output and standard error will be suppressed.
    verbosity
        The default logging verbosity for gcloud commands. This is the equivalent of using the global --verbosity flag.
app
    docker_build
        Set to local to run docker build using a local docker installation, or remote to do the build on a Google Compute Engine VM.
    stop_previous_version
        If True, when deploying a new version of a service, the previously deployed version is stopped. If False, older versions must be stopped manually.
    use_cloud_build
        If True, use the Container Builder API to perform docker builds, rather than a temporary VM. See https://cloud.google.com/container-builder/docs/ for more information.
component_manager
    additional_repositories
        A comma separated list of additional repositories to check for components. This property is automatically managed by the gcloud components repositories commands.
    disable_update_check
        If True, the Cloud SDK will not automatically check for updates.
compute
    region
        The default region to use when working with regional Compute Engine resources. When a --region flag is required but not provided, the command will fall back to this value, if set.
    zone
        The default zone to use when working with zonal Compute Engine resources. When a --zone flag is required but not provided, the command will fall back to this value, if set.
container
    cluster
        The name of the cluster to use by default when working with Container Engine.
proxy
    address
        The hostname or IP address of your proxy server.
    password
        If your proxy requires authentication, the password to use when connecting.
    port
        The port to use when connected to your proxy server.
    type
        The type of proxy you are using. Supported proxy types are: [http, http_no_tunnel, socks4, socks5].
    username
        If your proxy requires authentication, the username to use when connecting.